%global unique_name eu.tiliado.Nuvola

Name:           nuvola-app-jango
Version:        2.3
Release:        3%{?dist}
Summary:        Jango for Nuvola Player 3
License:        BSD
URL:            https://github.com/tiliado/nuvola-app-jango
Source0:        https://github.com/tiliado/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        %{name}.metainfo.xml

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  nuvolasdk >= 4.6.0
BuildRequires:  python3-six
Requires:       hicolor-icon-theme
Requires:       %{_bindir}/nuvola

BuildArch:      noarch


%description
Integration of Jango into your linux desktop via Nuvola Player.

%prep
%setup -q


%build
./configure --prefix=%{_prefix}
%make_build


%install
%make_install DESTDIR=%{buildroot}

# Register as an application to be visible in the software center
mkdir -p %{buildroot}%{_datadir}/appdata
cp  %{SOURCE1} %{buildroot}%{_datadir}/appdata/%{name}.metainfo.xml

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/%{name}.metainfo.xml

%files
%doc CHANGELOG.md README.md
%license LICENSE
%{_datadir}/applications/%{unique_name}AppJango.desktop
%{_datadir}/appdata/%{name}.metainfo.xml
%{_datadir}/icons/*/*/*/%{unique_name}AppJango.*
%dir %{_datadir}/nuvolaruntime/web_apps
%{_datadir}/nuvolaruntime/web_apps/jango/


%changelog
* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.3-3
- Remove obsolete scriptlets

* Thu Aug 10 2017 Martin Gansser <martinkg@fedoraproject.org> - 2.3-2
- correct %%{name}.metainfo.xml

* Fri Jul 28 2017 Martin Gansser <martinkg@fedoraproject.org> - 2.3-1
- initial build
